#include <iostream>

using namespace std;

long long sum_to_n(long long n)
{
    return n * (n - 1) / 2;
}

int main()
{
    int broj_pitanja;
    cin >> broj_pitanja;

    bool resenja[10];
    int resenja_size = broj_pitanja;

    while (broj_pitanja){
        long long ucenici, krem_bananice, grupe;
        cin >> ucenici >> krem_bananice >> grupe;

        long long limit = ucenici / grupe;
        long long ostatak = (ucenici % 4) * (limit + 1);

        long long treshhold = grupe * sum_to_n(limit) + ostatak;

        if (treshhold > krem_bananice){
            resenja[resenja_size - broj_pitanja] = false;
        }
        else {
            resenja[resenja_size - broj_pitanja] = true;
        }

        broj_pitanja--;
    }

    for (int i = 0; i < resenja_size; i++){
        if (resenja[i]){
            cout << "Tak" << endl;
        }
        else {
            cout << "Nie" << endl;
        }
    }
}